Modify the order of Pipeline functions
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.
Modify the order of Pipeline functions
Method name
ManagementClient.updatePipelineOrder
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| order | string[] | Yes | - | New sorting method, sorting in the order of function IDs. | [] |
| scene | string | yes | - | Function triggering scene: - PRE_REGISTER: before registration- POST_REGISTER: after registration- PRE_AUTHENTICATION: before authentication- POST_AUTHENTICATION: after authentication- PRE_OIDC_ID_TOKEN_ISSUED: before OIDC ID Token issuance- PRE_OIDC_ACCESS_TOKEN_ISSUED: before OIDC Access Token issuance- PRE_COMPLETE_USER_INFO: before completing user information | PRE_REGISTER |
Sample code
ts
import { ManagementClient, Models } from "authing-node-sdk";
// Initialize ManagementClient
const managementClient = new ManagementClient({
// Need to be replaced with your GenAuth Access Key ID
accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
// Need to be replaced with your GenAuth Access Key Secret
accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
// If it is a private deployment customer, you need to set the GenAuth service domain name
// host: 'https://api.your-authing-service.com'
});
(async () => {
const result = await managementClient.updatePipelineOrder({
scene: Models.UpdatePipelineOrderDto.scene.POST_AUTHENTICATION,
order: ["funcId1", "funcId2"],
});
console.log(JSON.stringify(result, null, 2));
})();Request response
Type: CommonResponseDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}